Update a sub account Run in API Explorer
Ask AI
PUT
/api/v1/plans/{plan_uuid}/sub-accounts/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"name":"Johns ISA","policy_number":"AVF-4355432","proposal_reference":"BtMWiy0JwHtogU4","active_portfolio_uuid":"70795c55-acd9-4232-ab50-50171148c75c"}'
Request examples
{
"name": "Johns ISA",
"policy_number": "AVF-4355432",
"proposal_reference": "BtMWiy0JwHtogU4",
"active_portfolio_uuid": "70795c55-acd9-4232-ab50-50171148c75c"
}
Response examples (200)
{
"uuid": "69e269c4-faa6-4b9b-8be9-ca25102214c3",
"created_at": "2026-07-20T11:19:00+01:00",
"updated_at": "2026-07-20T11:19:00+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "8e9ba4ac-e6e7-44ca-93ea-a2920b5bf421",
"created_at": "2026-07-20T11:19:00+01:00",
"updated_at": "2026-07-20T11:19:00+01:00",
"valued_at": "2026-07-20T11:19:00+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "9c21b0b8-2696-47b2-ad0a-60e027c230d1",
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "f7525a08-8651-4847-88b0-f7805f6293f0",
"created_at": "2026-07-20T11:19:00+01:00",
"updated_at": "2026-07-20T11:19:00+01:00",
"is_proposed": true,
"proposed_at": "2026-07-20T00:00:00+01:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
}
Response examples (409)
{
"uuid": "69e269c4-faa6-4b9b-8be9-ca25102214c3",
"created_at": "2026-07-20T11:19:00+01:00",
"updated_at": "2026-07-20T11:19:00+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "8e9ba4ac-e6e7-44ca-93ea-a2920b5bf421",
"created_at": "2026-07-20T11:19:00+01:00",
"updated_at": "2026-07-20T11:19:00+01:00",
"valued_at": "2026-07-20T11:19:00+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "9c21b0b8-2696-47b2-ad0a-60e027c230d1",
"created_at": "2026-07-20T11:19:07+01:00",
"updated_at": "2026-07-20T11:19:07+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "f7525a08-8651-4847-88b0-f7805f6293f0",
"created_at": "2026-07-20T11:19:00+01:00",
"updated_at": "2026-07-20T11:19:00+01:00",
"is_proposed": true,
"proposed_at": "2026-07-20T00:00:00+01:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
}